$(document).ready(function(){  
  var form = layui.form;
  //筛选
  form.on('select(changecondition)', function(data){
    $("#search_form").submit();
  });

  //分页
  var laypage = layui.laypage;
  laypage.render({
    elem: 'pagelinkbox',
    count: allsize,
    limit: pagesize,
    layout: ['count', 'prev', 'page', 'next', 'skip'],
    jump: function(obj){
      $("#gotopage_form").find("input[name='curpage']").val(obj.curr);
      $("#gotopage_form").find("input[name='rnum']").val(Math.random());
      $("#gotopage_form").ajaxSubmit({
        url: '/doexam/default/index', 
        type: 'POST',
        dataType: 'html',
        beforeSend: function(){
          $("#waitingtipsbox").show();
        },
        success: function(data){
          if(data==""){
            //layer.msg("已经到最后一页了", {icon: 2});
          }else{
            $("#pagelistbox").html(data);
            form.render('checkbox'); //重新渲染复选框
          }
          $("#waitingtipsbox").hide();
        },
        error: function(){
          layer.msg("系统错误，请联系管理员", {icon: 2});
        }
      });
      return false;
    }
  });

});

//弹出层索引
var index11, index12, index13, index14;

//弹出查看结果
function showDoexamResult(doexid, questway){
  layer.load(0, {shade: [0.2, '#393D49']});
  var surffix = "";
  if(questway==2){
    surffix = "chou";
  }
  index12 = layer.open({
    id: 'twodialog',
    type: 2,
    title: '查看',
    area: ['900px', '570px'],
    fixed: false, //不固定
    content: '/doexam/result'+ surffix +'/index?id='+ doexid
  });
  layer.closeAll('loading');
}

//关闭查看结果
function closeDoexamResult(){
  layer.close(index12);
}